<template>
  <v-container
    fluid
  >
    <!-- mcard -->
    <v-row>
      <v-col class="mt-12 mb-n12">
        <p class="headline font-weight-bold">
          {{ $t('title') }}
        </p>
      </v-col>
    </v-row>
    <v-row
      justify="center"
      class="mt-12"
    >
      <v-col
        v-if="communityDisplay"
        align="center"
        cols="2"
        sm="6"
        lg="3"
        md="4"
      >
        <m-card
          background-color="secondary"
          text-color="white--text"
          :card-title="this.$t('community.title')"
          :card-text-button="this.$t('community.button.label')"
          card-text-color-button="secondary--text"
          card-color-button="white"
          :href-button="this.$t('community.button.route')"
          bold-title
          class-title="h5"
          height-title="160px"
          :height="250"
          flat
          tile
        />
      </v-col>
      <v-col
        v-if="eventDisplay"
        align="center"
        cols="2"
        sm="6"
        lg="3"
        md="4"
      >
        <m-card
          background-color="secondary"
          text-color="white--text"
          :card-title="this.$t('event.title')"
          :card-text-button="this.$t('event.button.label')"
          card-text-color-button="secondary--text"
          card-color-button="white"
          :href-button="this.$t('event.button.route')"
          bold-title
          class-title="h5"
          height-title="160px"
          :height="250"
          flat
          tile
        />
      </v-col>
    </v-row>
    <!-- end mcard -->
  </v-container>
</template>
<script>
import {merge} from "lodash";
import MCard from '@js/components/utilities/MCard';
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    MCard
  },
  props: {
    solidaryDisplay: {
      type: Boolean,
      default: false
    },
    eventDisplay: {
      type: Boolean,
      default: false
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    src: {
      type: String,
      default: ""
    },
    height: {
      type: String,
      default: ""
    },
    article: {
      type: Array,
      default: null
    }
  }
}
</script>

<style scoped lang="scss">
</style>